Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028362
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2014-12-09 10:032014-12-30 23:27
ReporteralostaleView Statuspublic 
Assigned ToSandrahuguet 
PriorityimmediateResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisiona73f9b345a42
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2012-06-19
Regression introduced in release3.0MP13
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/09a2cab4bfac [^]
Triggers an Emergency PackYes
Summary

0028362: c_invoice_post creates unnecesary contention on m_pricelist and c_doctype

Descriptionc_invoice_post procedure unnecessarily locks m_pricelist and c_doctype tables (with a select for update).

This, potentially, causes a big contention.

See description for 0028360
Steps To ReproduceSee 0028360
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028360 closedSandrahuguet c_order_post creates unnecesary contention on m_pricelist 
related to defect 0028365 newTriage Finance c_invoice post locks some master tables 

-  Notes
(0072378)
Sandrahuguet (developer)
2014-12-10 10:24

Test Plan:
-Create a new Sales Invoice with lines (check its price list)
-In a pg client (psql) run:
  begin
    select c_invoice_post(null, (select c_order_id from c_invoice order by created desc limit 1));
- Create new Sales Invoice with same price list
(0072380)
hgbot (developer)
2014-12-10 10:30

Repository: erp/devel/pi
Changeset: a73f9b345a421d0a76f498bc1c722b15825daefc
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Dec 09 18:59:11 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a73f9b345a421d0a76f498bc1c722b15825daefc [^]

Fixed bug 28362 c_invoice_post creates unnecesary contentions

Avoiding the join with m_pricelist and c_doctype contentions are solved

---
M src-db/database/model/functions/C_INVOICE_POST.xml
---
(0072398)
umartirena (developer)
2014-12-10 13:58

Code Review + Testing OK
(0073202)
hudsonbot (developer)
2014-12-30 23:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-12-09 10:03 alostale New Issue
2014-12-09 10:03 alostale Assigned To => Sandrahuguet
2014-12-09 10:03 alostale Modules => Core
2014-12-09 10:03 alostale Regression level => Production - Confirmed Stable
2014-12-09 10:03 alostale Triggers an Emergency Pack => No
2014-12-09 10:04 alostale Regression date => 2012-06-19
2014-12-09 10:04 alostale Regression introduced in release => 3.0MP13
2014-12-09 10:04 alostale Triggers an Emergency Pack No => Yes
2014-12-09 10:04 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/09a2cab4bfac [^]
2014-12-09 10:05 alostale Relationship added related to 0028360
2014-12-09 10:05 alostale Tag Attached: Performance
2014-12-09 10:05 alostale Issue Monitored: alostale
2014-12-09 12:39 alostale Relationship added related to 0028365
2014-12-10 10:24 Sandrahuguet Note Added: 0072378
2014-12-10 10:30 hgbot Checkin
2014-12-10 10:30 hgbot Note Added: 0072380
2014-12-10 10:30 hgbot Status new => resolved
2014-12-10 10:30 hgbot Resolution open => fixed
2014-12-10 10:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a73f9b345a421d0a76f498bc1c722b15825daefc [^]
2014-12-10 13:58 umartirena Review Assigned To => umartirena
2014-12-10 13:58 umartirena Note Added: 0072398
2014-12-10 13:58 umartirena Status resolved => closed
2014-12-10 13:58 umartirena Fixed in Version => pi
2014-12-30 23:27 hudsonbot Checkin
2014-12-30 23:27 hudsonbot Note Added: 0073202


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker